#include "common.h"

/*UART0初始化（P21做TX，波特率115200源于BRT，当Fsys=48MHz时）*/
void UART0Init(void)
{
    /*8bit异步模式，波特率可变*/
    SCON0 = BIT6;
    
    /*波特率来源于BRT*/
    FUNCCR &= ~BIT2;
    FUNCCR |= (BIT1 | BIT0);
    
    /*波特率115200，当Fsys=48MHz时*/
    PCON &= ~BIT7;
    BRTCON = BIT7;
    #define BRTDH_BRTDL 65523
    BRTD = (BRTDH_BRTDL >> 8) & 0x00FF;
    BRTDL = BRTDH_BRTDL & 0x00FF;
    
    /*P21做TX*/
    P21CFG = 0x02;
    P2TRIS |= BIT1;
    P2OD &= ~BIT1;
    P2_1 = 1;
}

/*重写函数，以实现printf*/
char putchar(char c)
{
    SBUF0 = c;
    while (0x00 == (SCON0&BIT1));
    SCON0 &= ~BIT1;

    return c;
}