#include "common.h"

/*获取CRC结果*/
uint16_t GetCRCResult(uint8_t* pDat, uint16_t datCount)
{
    uint16_t res = 0x0000;
    
    while (datCount --)
    {
        CRCIN = *pDat;
        pDat ++;
    }
    
    res = CRCD;
    res <<= 8;
    res += CRCDL;
    
    return res;
}

/*main*/
void main(void)
{
    uint16_t crcRes = 0x0000;
    
    uint8_t dat[] = {0x12, 0x34, 0x56, 0x78};
        
    /*UART0初始化（P21做TX，波特率115200源于BRT，当Fsys=48MHz时）*/
    UART0Init();

    /*获取CRC结果（本例理论值应为0x67F0）*/
    crcRes = GetCRCResult(dat, 4);
    printf("0x%02X\r\n", crcRes);
    
    while (1);
}