#include "common.h"

/*Timer0初始化（8bit自动重载，溢出频率100KHz，当Fsys=48MHz时）*/
void Timer0Init(void)
{
    /*8bit自动重载*/
    TMOD &= 0xF0;
    TMOD |= BIT1;
    
    /*时钟来源=Fsys/4*/
    CKCON |= BIT3;
    
    /*溢出频率=时钟来源/(2^8-TH0)，本例=48MHz/4/(256-136)=100KHz*/
    TH0 = 136;
    TL0 = TH0;
    
    /*清标志*/
    TF0 = 0;
    
    /*使能中断*/
    ET0 = 1;
}

/*main*/
void main(void)
{
    /*P04推挽输出（仅用于测试）*/
    P0TRIS |= BIT4;
    P0OD &= ~BIT4;
    P0_4 = 1;
    
    /*Timer0初始化（8bit自动重载，溢出频率100KHz，当Fsys=48MHz时）*/
    Timer0Init();
    
    /*使能总中断*/
    EA = 1;
    
    /*启动定时器0*/
    TR0 = 1;
    
    while (1);
}

/*Timer0中断处理程序*/
void Timer0Int(void) interrupt 1
{
    /*清标志*/
    TF0 = 0;
    
    /*翻转P04（仅用于测试）*/
    P0_4 = ~P0_4;
}